Package org.eclipse.emf.compare.match.eobject.internal

# Class WeightProviderDescriptorImpl

java.lang.Object
org.eclipse.emf.compare.match.eobject.internal.WeightProviderDescriptorImpl

All Implemented Interfaces:
  `WeightProvider.Descriptor`

public class WeightProviderDescriptorImpl extends Object implements WeightProvider.Descriptor
A simple implementation of `WeightProvider.Descriptor` that will delegate its method implementation to values given to its constructor.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.eobject.WeightProvider.Descriptor

`WeightProvider.Descriptor.Registry`

## Constructor Summary

Constructors
Constructor
Description
`WeightProviderDescriptorImpl(WeightProvider weightProvider, int r, Pattern nsURI)`
Creates the descriptor from an existing weight provider.

## Method Summary

Modifier and Type
Method
Description
`Pattern`
`getNsURI()`
Returns the pattern of namespace URI on which this weight provider can be applied.
`int`
`getRanking()`
Returns the ranking of this weight provider.
`WeightProvider`
`getWeightProvider()`
Returns the wrapped weight provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeightProviderDescriptorImpl

public WeightProviderDescriptorImpl(WeightProvider weightProvider, int r, Pattern nsURI)
Creates the descriptor from an existing weight provider.

Parameters:
  `weightProvider` - the given weight provider.
  `r` - the ranking of the weight provider.
  `nsURI` - the pattern of namespace URI on which this weight provider can be applied.

## Method Details

### getWeightProvider

public WeightProvider getWeightProvider()
Returns the wrapped weight provider.

Specified by:
  `getWeightProvider` in interface `WeightProvider.Descriptor`
Returns:
  the wrapped weight provider

### getRanking

public int getRanking()
Returns the ranking of this weight provider.

Specified by:
  `getRanking` in interface `WeightProvider.Descriptor`
Returns:
  The ranking.

### getNsURI

public Pattern getNsURI()
Returns the pattern of namespace URI on which this weight provider can be applied.

Specified by:
  `getNsURI` in interface `WeightProvider.Descriptor`
Returns:
  The namespace URI pattern.